Subject: Re: bug#61703: 29.0.60; Emacs crashes on C-x 8 RET

From: Kai Ma <[email-masked]>
Date: Wed, 22 Feb 2023 20:59:54 +0800

> On Feb 22, 2023, at 20:40, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Kai Ma <[email-masked]>
>> Date: Wed, 22 Feb 2023 16:00:29 +0800
>> 
>> Emacs sometimes crashes on C-x 8 RET, ie. (insert-char).
>> 
>> Sorry, but I didn't find a way to reproduce this issue with emacs -Q.
>> 
>> This seems to be related to vertico-posframe-mode (which puts the
>> minibuffer in a separate child frame).  I can confirm that if I disable
>> vertico-posframe-mode, this problem disappears.
> 
> Please provide at least the information you can provide: what did you
> type at the "C-x 8 RET" prompt, and when exactly it crashed during
> this command.  Also, how to setup vertico-posframe-mode like you do.

This is how I reproduce this crash:

1. Create a fresh Emacs instance.

2. Press C-x 8 RET before doing anything else.
   If vertico-posframe is displayed successfully at least once (e.g. using M-x)
   then Emacs won’t crash from insert-char anymore.

3. Emacs crashes before the child frame appears, so I don’t have a 
   chance to type anything.

There is a minimal init.el with which I can reproduce this crash:

  (package-install 'vertico)
  (package-install 'vertico-posframe)

  (use-package vertico
    :hook (after-init . vertico-mode))

  (use-package vertico-posframe
    :hook (vertico-mode . vertico-posframe-mode))

> Basically, these problems are impossible to debug without a
> reproducible recipe, so any details count.
> 
> Thanks in advance.